diff .chezmoiscripts/run_onchange_after_18-install-tmux.sh.tmpl @ 809:72744c944497

feat: install packages and rtx for management
author zegervdv <zegervdv@me.com>
date Tue, 05 Dec 2023 20:03:16 +0100
parents
children 9e2c5662c2cb
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_18-install-tmux.sh.tmpl	Tue Dec 05 20:03:16 2023 +0100
@@ -0,0 +1,22 @@
+{{ if (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu")) -}}
+#!/usr/bin/env bash
+
+{{ $version := "3.3a" -}}
+
+set -xe
+
+TMP_BUILD_DIR=/tmp/tmux-install-dir
+mkdir -p "$TMP_BUILD_DIR"
+pushd "$TMP_BUILD_DIR"
+
+curl -L https://github.com/tmux/tmux/releases/download/{{ $version }}/tmux-{{ $version }}.tar.gz | tar xz
+pushd tmux-{{ $version }}
+./configure --prefix /usr/local/
+make -j
+sudo make install
+
+cd
+
+rm -rf "$TMP_BUILD_DIR"
+
+{{ end }}